package com.ssj.service.conch.parents.request.version4;

import com.ssj.bean.common.framework.core.domain.BaseRequest;
import io.swagger.annotations.ApiModelProperty;

public class AnsweredProblemReq extends BaseRequest {
    private static final long serialVersionUID = 1L;
    
    @ApiModelProperty(name = "pageNo", value = "页码", required = true)
    private int pageNo;

    @ApiModelProperty(name = "pageSize", value = "页数", required = true)
    private int pageSize;

    @ApiModelProperty(name = "vipId", value = "会员id", required = true)
    private String vipId;
    
    @ApiModelProperty(name = "maxCreateTime", value = "最大时间,格式(yyyy-MM-dd HH:mm:ss)", required = true)
    private String maxCreateTime;

    @ApiModelProperty(name = "startTime", value = "起始时间格式(yyyy-MM)", required = true)
    private String startTime;
    
    @ApiModelProperty(name = "endTime", value = "	结束时间格式(yyyy-MM)", required = true)
    private String endTime;
    
    @ApiModelProperty(name = "courseName", value = "科目类型:全部(传空),语文，数学，英语", required = true)
    private String courseName;
    
    @ApiModelProperty(name = "module", value = "知识模块名称", required = true)
    private String module;

	public int getPageNo() {
		return pageNo;
	}

	public void setPageNo(int pageNo) {
		this.pageNo = pageNo;
	}

	public int getPageSize() {
		return pageSize;
	}

	public void setPageSize(int pageSize) {
		this.pageSize = pageSize;
	}

	public String getVipId() {
		return vipId;
	}

	public void setVipId(String vipId) {
		this.vipId = vipId;
	}

	public String getMaxCreateTime() {
		return maxCreateTime;
	}

	public void setMaxCreateTime(String maxCreateTime) {
		this.maxCreateTime = maxCreateTime;
	}

	public String getStartTime() {
		return startTime;
	}

	public void setStartTime(String startTime) {
		this.startTime = startTime;
	}

	public String getEndTime() {
		return endTime;
	}

	public void setEndTime(String endTime) {
		this.endTime = endTime;
	}

	public String getCourseName() {
		return courseName;
	}

	public void setCourseName(String courseName) {
		this.courseName = courseName;
	}

	public String getModule() {
		return module;
	}

	public void setModule(String module) {
		this.module = module;
	}
}
